Get Employee Maturity Overview
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/employee_maturity_overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_name": "employee_maturity_overview",
"report_data": {
"entity_count": 100,
"data_maturity_overview": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"low_data_availability": false,
"reasons": [
[
"MAX_SOURCE_GENERALITY",
"MIN_EVENT_TYPE_DIVERSITY"
]
],
"valid_assigned_position": true,
"has_business_data": true,
"sufficient_working_history": false
}
]
},
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Data Maturity Scan
Get Employee Maturity Overview
Generate the Employee Maturity Overview for all Employees in the system.
Get Employee Maturity Overview
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of returned entities.
Required range:
1 <= x <= 500Example:
250
The applied offset for returned entities, results starting from offset up to offset + limit.
Required range:
x >= 0Additional metrics to include in the response. By default, only the external_id, low_data_availability, and reasons fields are returned.
Available metrics:
valid_assigned_position- Whether the Employee has a valid assigned position (existing Job).has_business_data- Whether the Employee has business data (Ticket or Project Skill Events).sufficient_working_history- Whether the Employee has at least 3 years of working history.
Available options:
valid_assigned_position, has_business_data, sufficient_working_history This parameter can be used to only include entities with the active attribute set to true or false. If the parameter is not set, all entities will be included.
Example:
true
Was this page helpful?